Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.transaction.memory
Class OptimisticMapWrapper.CopyingTxContext

    java.lang.Object
      org.apache.commons.transaction.memory.TransactionalMapWrapper.TxContext
          org.apache.commons.transaction.memory.OptimisticMapWrapper.CopyingTxContext

Enclosing class:
  OptimisticMapWrapper

public class OptimisticMapWrapper.CopyingTxContext
extends TransactionalMapWrapper.TxContext

Field Summary
`protected Map` | `externalAdds`
`protected Map` | `externalChanges`
`protected Set` | `externalDeletes`

Fields inherited from class org.apache.commons.transaction.memory.TransactionalMapWrapper.TxContext
`adds, changes, cleared, deletes, readOnly, status, suspended`

Constructor Summary
`protected` | `OptimisticMapWrapper.CopyingTxContext()`

Method Summary
`protected Set` | `changedKeys()`
`protected void` | `clear()`
`protected void` | `dispose()`
`protected Set` | `externalChangedKeys()`
`protected void` | `finalize()`
`protected Object` | `get(Object key)`
`protected Set` | `keys()`
`protected void` | `merge()`
`protected void` | `put(Object key, Object value)`
`protected void` | `remove(Object key)`
`protected int` | `size()`

Methods inherited from class org.apache.commons.transaction.memory.TransactionalMapWrapper.TxContext
`isEmpty`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### externalChanges

    protected Map externalChanges

### externalAdds

    protected Map externalAdds

### externalDeletes

    protected Set externalDeletes

Constructor Detail

### OptimisticMapWrapper.CopyingTxContext

    protected OptimisticMapWrapper.CopyingTxContext()

Method Detail

### externalChangedKeys

    protected Set externalChangedKeys()

### changedKeys

    protected Set changedKeys()

### keys

    protected Set keys()

  Overrides:
    `keys` in class `TransactionalMapWrapper.TxContext`

### get

    protected Object get(Object key)

  Overrides:
    `get` in class `TransactionalMapWrapper.TxContext`

### put

    protected void put(Object key,
                       Object value)

  Overrides:
    `put` in class `TransactionalMapWrapper.TxContext`

### remove

    protected void remove(Object key)

  Overrides:
    `remove` in class `TransactionalMapWrapper.TxContext`

### size

    protected int size()

  Overrides:
    `size` in class `TransactionalMapWrapper.TxContext`

### clear

    protected void clear()

  Overrides:
    `clear` in class `TransactionalMapWrapper.TxContext`

### merge

    protected void merge()

  Overrides:
    `merge` in class `TransactionalMapWrapper.TxContext`

### dispose

    protected void dispose()

  Overrides:
    `dispose` in class `TransactionalMapWrapper.TxContext`

### finalize

    protected void finalize()
                     throws Throwable

  Throws:
    `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.